# Interface NetworkConfiguration

interface NetworkConfiguration {
delayFactor: number;
fuzzFactor: number;
initialDelay: number;
maxAttempts: number;
timeout: number;
}

#####
Index

### Properties

delayFactor
fuzzFactor
initialDelay
maxAttempts
timeout

## Properties

### delayFactor

delayFactor: number

Increase delay for each retry: delay += (delay * delayFactor). Defaults to `0.2`

### fuzzFactor

fuzzFactor: number

Do not send retry requests in the exact same timing, but rather fuzz it by some range, eg: if the delay = 3000, and fuzz factor is 0.1, then the requests will be made somewhere in the following time range range: [2700, 3300]. Defaults to `0.2`

### initialDelay

initialDelay: number

The base delay in ms between retries. Defaults to `1_000`

### maxAttempts

maxAttempts: number

The maximum number of requests before we fail. Defaults to `1`

### timeout

timeout: number

The timeout in ms, after which we abort. Defaults to `20_000`